Problem when update to Nodebb 0.7.2



  • Hi everyone, today I tried to update my NodeBB 0.7.0 to the latest version, 0.7.2.
    I tried to follow the wiki:
    git fetch
    git reset --hard origin/v0.7.x

    And subsequently:
    ./nodebb upgrade

    But I get the following error:

    module.js:340
    throw err;
    ^
    Error: Cannot find module 'colors'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Object.<anonymous> (/home/krait/nodebb/nodebb:3:14)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)

    The forum doesn't work anymore; I'm forced to restore a backup.
    How can I fix it?
    Thanks in advance.

    Excuse me for my English.


  • Plugin & Theme Dev

    @krait the error means the module colors is missing. Install the module and run ./nodebb upgrade

    npm i colors



  • @pichalite said:

    @krait the error means the module colors is missing. Install the module and run ./nodebb upgrade

    npm i colors

    Thank you, I have installed the module colors; I tried again sudo ./nodebb upgrade, but now the module minimist missing. I've installed minimist module, but now the module touch missing; I've installed the module touch šŸ˜£
    Now it gives me the following error:

    1 . Bringing base dependencies up to date

    module.js:340
    throw err;
    ^
    Error: Cannot find module '/home/krait/nodebb/node_modules/npm/lib/build.js'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Object.defineProperty.get (/home/krait/nodebb/node_modules/npm/lib/npm.js:193:15)
    at /home/krait/nodebb/node_modules/npm/lib/install.js:1162:18
    at asyncMap (/home/krait/nodebb/node_modules/npm/node_modules/slide/lib/async-map.js:27:18)
    at andBuildResolvedTree (/home/krait/nodebb/node_modules/npm/lib/install.js:760:9)
    at /home/krait/nodebb/node_modules/npm/lib/install.js:714:9
    at asyncMap (/home/krait/nodebb/node_modules/npm/node_modules/slide/lib/async-map.js:27:18)

    What's appening? šŸ˜¢


  • Plugin & Theme Dev

    @krait I had the same problem, not sure why.

    try npm i

    then

    ./nodebb upgrade



  • at the beginning are the steps that you have to do.

    go everything carefully.

    I had initially also problems. until I understood how everything works together.



  • @pichalite said:

    @krait I had the same problem, not sure why.

    try npm i

    then

    ./nodebb upgrade

    I've tried, but every time I get a different error (depd missing, debug missing, crc missing, cookie missing, semver missing, etc.....) šŸ˜§
    EDIT: ok, now I read the guide.
    RI-EDIT: I read the guide, but I don't understand what I need to do to solve the problem.



  • Same problem for me actually. Many missing dependencies. This is sad šŸ˜ž


 

Suggested Topics

  • 5
  • 7
  • 28
  • 3
  • 31
| |